server:
  port: 8501
spring:
  profiles:
    active: dev
  application:
    name: ucard-manager-service
mybatis:
  type-aliases-package: com.crm.manager.pojo.view
ribbon:
  ReadTimeout: 60000
  ConnectTimeout: 60000
login:
  excludePathPatterns:
    /user/login,
    /user/login/send/code,
    /user/logout,
    /user/switch/lang,
    /user/update/password/send/email,
    /user/update/email/password,
    /market/upload/email/template/export,
    /web/upload/cid/template/export,
    /risk/symbol/template/export,
    /risk/import/trade/template/export,
    /finance/synonym/transfer/template/export,
    /cooperative/partner/*/add,
    /user/display/*,
    /finance/rate/convert,
    /user/login/valid,
    /user/hire/add,
    /user/entry/update,
    /user/entry/add/info,
    /user/entry/add/websdklink,
    /kyc/webhook,
    /common/upload,
    /country/get,
    /test/**,
    /ucard/callback,
    /web/oc/api/add
#  single-sign-on: true
role:
  googleVerified: false
  excludePathPatterns:
    /user/info,
    /user/search/info,
    /user/group/get,
    /user/sales,
    /user/update/login/password,
    /user/role/search/list,
    /account/deal/password/change/custom/searcher/list,
    /account/deal/password/reset/custom/searcher/list,
    /account/investor/password/change/custom/searcher/list,
    /account/leverage/custom/searcher/list,
    /account/*,
    /department/search/list,
    /custom/group/list,
    /custom/group/type/list,
    /custom/group/search/info,
    /custom/login/search/info,
    /control/panel/custom/dynamic,
    /custom/search/real/single,
    /country/get,
    /country/get/state,
    /control/panel/**,
    /index/**,
    /reasons/refusal/list,
    /reasons/refusal/custom/list,
    /push/message/custom/list,
    /push/message/list,
    /email/config/list,
    /trade/**,
    /trade/sharding/**,
    /ib/report/*,
    /ib/search/ib/single,
    /ib/tree,
    /ib/tree/**,
    /ib/point,
    /bank/custom/list,
    /agent/point/change/list,
    /account/belong/change/add,
    /agent/belong/change/**,
    /custom/update/ibInvalid,
    /agent/balance/frozen/**,
    /email/config/test/send,
    /web/activity/dropdown,
    /account/trading/activity/*,
    /remittance/channel/get/code,
    /common/upload,
    /*/channel/get/code,
    /risk/group/leverage/symbol/list,
    /source/list,
    /risk/symbol/leverage/symbol/list,
    /remittance/channel/get/custom/remittance/tick,
    /custom/allocation/roster/sales,
    /sys/area/search/dd,
    /market/agent/link/ib/list,
    /web/oc/sales,
    /web/oc/template/export,
    /activity/dubai/exhibition/countries,
    /user/google/secretKey,
    /user/bind,
    /sales/salary/info,
    /sales/salary/withdrawal,
    //custom/activity/exceptional/manager/reason/all,
    /user/hire/add,
    /user/entry/update,
    /user/entry/add/info,
    /user/entry/add/websdklink,
    /country/get,
    /approve/email/template/export,
    /login/type/manager/search/list,
    /login/type/search/list,
    /ib/register/link/hash,
    /sales/reward/statistics,
    /google/group/user/list,
    /user/attachs,
    /user/switchLogin,
    /bank/list,
    /custom/allocation/roster/area/all/list,
    /web/oc/area/all/list,
    /sales/leader/all/list,
    /wasabi/card/upload/**



